virt-manager无法使用

Kvm、VMware、Virtualbox、Xen、Qemu 等
回复
冰谛-王者法则
帖子: 67
注册时间: 2014-10-19 10:52
系统: ubuntu 16.04
送出感谢: 12 次
接收感谢: 1 次

virt-manager无法使用

#1

帖子 冰谛-王者法则 » 2016-04-22 20:37

从14.04升级到16.04,virt-manager打不开
命令行使用virt-manager报错:
Traceback (most recent call last):
File "/usr/share/virt-manager/virt-manager", line 34, in <module>
from virtinst import util as util
File "/usr/share/virt-manager/virtinst/__init__.py", line 87, in <module>
from virtinst.distroinstaller import DistroInstaller
File "/usr/share/virt-manager/virtinst/distroinstaller.py", line 26, in <module>
from . import urlfetcher
File "/usr/share/virt-manager/virtinst/urlfetcher.py", line 27, in <module>
import requests
File "/usr/local/lib/python2.7/dist-packages/requests/__init__.py", line 53, in <module>
from .packages.urllib3.contrib import pyopenssl
File "/usr/local/lib/python2.7/dist-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 70, in <module>
ssl.PROTOCOL_SSLv3: OpenSSL.SSL.SSLv3_METHOD,
AttributeError: 'module' object has no attribute 'PROTOCOL_SSLv3'
凡事都要认真对待,绝对不容许落败 !
冰谛-王者法则
帖子: 67
注册时间: 2014-10-19 10:52
系统: ubuntu 16.04
送出感谢: 12 次
接收感谢: 1 次

Re: virt-manager无法使用

#2

帖子 冰谛-王者法则 » 2016-04-24 19:24

已解决
将/usr/local/lib/python2.7/dist-packages/requests/packages/urllib3/contrib/pyopenssl.pasty里的PROTOCOL_SSLv3改成PROTOCOL_SSLv23即可
凡事都要认真对待,绝对不容许落败 !
回复

回到 “虚拟机和虚拟化”